import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  IoT1ClickDevicesServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoT1ClickDevicesServiceClient";
import {
  ClaimDevicesByClaimCodeRequest,
  ClaimDevicesByClaimCodeResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ClaimDevicesByClaimCodeCommandInput
  extends ClaimDevicesByClaimCodeRequest {}
export interface ClaimDevicesByClaimCodeCommandOutput
  extends ClaimDevicesByClaimCodeResponse,
    __MetadataBearer {}
declare const ClaimDevicesByClaimCodeCommand_base: {
  new (
    input: ClaimDevicesByClaimCodeCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ClaimDevicesByClaimCodeCommandInput,
    ClaimDevicesByClaimCodeCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ClaimDevicesByClaimCodeCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ClaimDevicesByClaimCodeCommandInput,
    ClaimDevicesByClaimCodeCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ClaimDevicesByClaimCodeCommand extends ClaimDevicesByClaimCodeCommand_base {
  protected static __types: {
    api: {
      input: ClaimDevicesByClaimCodeRequest;
      output: ClaimDevicesByClaimCodeResponse;
    };
    sdk: {
      input: ClaimDevicesByClaimCodeCommandInput;
      output: ClaimDevicesByClaimCodeCommandOutput;
    };
  };
}
