import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  IoT1ClickDevicesServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoT1ClickDevicesServiceClient";
import {
  FinalizeDeviceClaimRequest,
  FinalizeDeviceClaimResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface FinalizeDeviceClaimCommandInput
  extends FinalizeDeviceClaimRequest {}
export interface FinalizeDeviceClaimCommandOutput
  extends FinalizeDeviceClaimResponse,
    __MetadataBearer {}
declare const FinalizeDeviceClaimCommand_base: {
  new (
    input: FinalizeDeviceClaimCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    FinalizeDeviceClaimCommandInput,
    FinalizeDeviceClaimCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: FinalizeDeviceClaimCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    FinalizeDeviceClaimCommandInput,
    FinalizeDeviceClaimCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class FinalizeDeviceClaimCommand extends FinalizeDeviceClaimCommand_base {
  protected static __types: {
    api: {
      input: FinalizeDeviceClaimRequest;
      output: FinalizeDeviceClaimResponse;
    };
    sdk: {
      input: FinalizeDeviceClaimCommandInput;
      output: FinalizeDeviceClaimCommandOutput;
    };
  };
}
