import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  IoT1ClickDevicesServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoT1ClickDevicesServiceClient";
import {
  GetDeviceMethodsRequest,
  GetDeviceMethodsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetDeviceMethodsCommandInput extends GetDeviceMethodsRequest {}
export interface GetDeviceMethodsCommandOutput
  extends GetDeviceMethodsResponse,
    __MetadataBearer {}
declare const GetDeviceMethodsCommand_base: {
  new (
    input: GetDeviceMethodsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetDeviceMethodsCommandInput,
    GetDeviceMethodsCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetDeviceMethodsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetDeviceMethodsCommandInput,
    GetDeviceMethodsCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetDeviceMethodsCommand extends GetDeviceMethodsCommand_base {
  protected static __types: {
    api: {
      input: GetDeviceMethodsRequest;
      output: GetDeviceMethodsResponse;
    };
    sdk: {
      input: GetDeviceMethodsCommandInput;
      output: GetDeviceMethodsCommandOutput;
    };
  };
}
