import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  IoT1ClickDevicesServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoT1ClickDevicesServiceClient";
import {
  InvokeDeviceMethodRequest,
  InvokeDeviceMethodResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface InvokeDeviceMethodCommandInput
  extends InvokeDeviceMethodRequest {}
export interface InvokeDeviceMethodCommandOutput
  extends InvokeDeviceMethodResponse,
    __MetadataBearer {}
declare const InvokeDeviceMethodCommand_base: {
  new (
    input: InvokeDeviceMethodCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    InvokeDeviceMethodCommandInput,
    InvokeDeviceMethodCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: InvokeDeviceMethodCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    InvokeDeviceMethodCommandInput,
    InvokeDeviceMethodCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class InvokeDeviceMethodCommand extends InvokeDeviceMethodCommand_base {
  protected static __types: {
    api: {
      input: InvokeDeviceMethodRequest;
      output: InvokeDeviceMethodResponse;
    };
    sdk: {
      input: InvokeDeviceMethodCommandInput;
      output: InvokeDeviceMethodCommandOutput;
    };
  };
}
