import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  IoT1ClickDevicesServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoT1ClickDevicesServiceClient";
import {
  ListDeviceEventsRequest,
  ListDeviceEventsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ListDeviceEventsCommandInput extends ListDeviceEventsRequest {}
export interface ListDeviceEventsCommandOutput
  extends ListDeviceEventsResponse,
    __MetadataBearer {}
declare const ListDeviceEventsCommand_base: {
  new (
    input: ListDeviceEventsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListDeviceEventsCommandInput,
    ListDeviceEventsCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ListDeviceEventsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListDeviceEventsCommandInput,
    ListDeviceEventsCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListDeviceEventsCommand extends ListDeviceEventsCommand_base {
  protected static __types: {
    api: {
      input: ListDeviceEventsRequest;
      output: ListDeviceEventsResponse;
    };
    sdk: {
      input: ListDeviceEventsCommandInput;
      output: ListDeviceEventsCommandOutput;
    };
  };
}
