import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  IoT1ClickDevicesServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoT1ClickDevicesServiceClient";
import {
  UnclaimDeviceRequest,
  UnclaimDeviceResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface UnclaimDeviceCommandInput extends UnclaimDeviceRequest {}
export interface UnclaimDeviceCommandOutput
  extends UnclaimDeviceResponse,
    __MetadataBearer {}
declare const UnclaimDeviceCommand_base: {
  new (
    input: UnclaimDeviceCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UnclaimDeviceCommandInput,
    UnclaimDeviceCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: UnclaimDeviceCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UnclaimDeviceCommandInput,
    UnclaimDeviceCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class UnclaimDeviceCommand extends UnclaimDeviceCommand_base {
  protected static __types: {
    api: {
      input: UnclaimDeviceRequest;
      output: UnclaimDeviceResponse;
    };
    sdk: {
      input: UnclaimDeviceCommandInput;
      output: UnclaimDeviceCommandOutput;
    };
  };
}
