import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  IoT1ClickDevicesServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoT1ClickDevicesServiceClient";
import {
  UpdateDeviceStateRequest,
  UpdateDeviceStateResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface UpdateDeviceStateCommandInput
  extends UpdateDeviceStateRequest {}
export interface UpdateDeviceStateCommandOutput
  extends UpdateDeviceStateResponse,
    __MetadataBearer {}
declare const UpdateDeviceStateCommand_base: {
  new (
    input: UpdateDeviceStateCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateDeviceStateCommandInput,
    UpdateDeviceStateCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: UpdateDeviceStateCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    UpdateDeviceStateCommandInput,
    UpdateDeviceStateCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class UpdateDeviceStateCommand extends UpdateDeviceStateCommand_base {
  protected static __types: {
    api: {
      input: UpdateDeviceStateRequest;
      output: {};
    };
    sdk: {
      input: UpdateDeviceStateCommandInput;
      output: UpdateDeviceStateCommandOutput;
    };
  };
}
