/**
 * <p>Describes all of the AWS IoT 1-Click device-related API operations for the service.
 *  Also provides sample requests, responses, and errors for the supported web services
 *  protocols.</p>
 *
 * @packageDocumentation
 */
export * from "./IoT1ClickDevicesServiceClient";
export * from "./IoT1ClickDevicesService";
export { ClientInputEndpointParameters } from "./endpoint/EndpointParameters";
export type { RuntimeExtension } from "./runtimeExtensions";
export type { IoT1ClickDevicesServiceExtensionConfiguration } from "./extensionConfiguration";
export * from "./commands";
export * from "./models";
export { IoT1ClickDevicesServiceServiceException } from "./models/IoT1ClickDevicesServiceServiceException";
