import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  IoT1ClickDevicesServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoT1ClickDevicesServiceClient";
import {
  InitiateDeviceClaimRequest,
  InitiateDeviceClaimResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface InitiateDeviceClaimCommandInput
  extends InitiateDeviceClaimRequest {}
export interface InitiateDeviceClaimCommandOutput
  extends InitiateDeviceClaimResponse,
    __MetadataBearer {}
declare const InitiateDeviceClaimCommand_base: {
  new (
    input: InitiateDeviceClaimCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    InitiateDeviceClaimCommandInput,
    InitiateDeviceClaimCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: InitiateDeviceClaimCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    InitiateDeviceClaimCommandInput,
    InitiateDeviceClaimCommandOutput,
    IoT1ClickDevicesServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class InitiateDeviceClaimCommand extends InitiateDeviceClaimCommand_base {
  protected static __types: {
    api: {
      input: InitiateDeviceClaimRequest;
      output: InitiateDeviceClaimResponse;
    };
    sdk: {
      input: InitiateDeviceClaimCommandInput;
      output: InitiateDeviceClaimCommandOutput;
    };
  };
}
